> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# List cancellation policies



## OpenAPI

````yaml GET /api/v1/cancellation-policies
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/cancellation-policies:
    get:
      tags:
        - cancellation-policies
      summary: List Policies
      operationId: list_policies_api_v1_cancellation_policies_get
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CancellationPolicyResponse'
                title: Response List Policies Api V1 Cancellation Policies Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    CancellationPolicyResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        refund_type:
          type: string
          title: Refund Type
        refund_percentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Refund Percentage
        refund_window_days:
          type: integer
          title: Refund Window Days
        prorate_refund:
          type: boolean
          title: Prorate Refund
        cancellation_fee:
          type: number
          title: Cancellation Fee
        apply_to_existing:
          type: boolean
          title: Apply To Existing
        is_default:
          type: boolean
          title: Is Default
        created_at:
          type: string
          format: uuid
          title: Created At
      type: object
      required:
        - id
        - name
        - refund_type
        - refund_percentage
        - refund_window_days
        - prorate_refund
        - cancellation_fee
        - apply_to_existing
        - is_default
        - created_at
      title: CancellationPolicyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````